Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPDF Class Reference
PDF generator library

eZPDF provides template operators for dealing with pdf generation More...

## Public Member Functions
| __construct ( $name="pdf")
| operatorList ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)
| createPDF ( $paper='a4', $orientation='portrait')

## Public Attributes
| $Operators
| The array of operators, used for registering operators. More...
| $PDF
| $Config

## Detailed Description

eZPDF provides template operators for dealing with pdf generation

Definition at line 21 of file ezpdf.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPDF::__construct | ( |  | $name = `"pdf"` | ) |

Initializes the object with the name $name, default is "pdf".

Parameters

  string | $name |

Definition at line 28 of file ezpdf.php.

## Member Function Documentation

## ◆ createPDF()

eZPDF::createPDF | ( |  | $paper = `'a4'`,
|  |  | $orientation = `'portrait'`
| ) |  |

Definition at line 1067 of file ezpdf.php.

References eZDebug\writeNotice().

Referenced by modify().

## ◆ modify()

eZPDF::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Display the variable.

Definition at line 55 of file ezpdf.php.

References createPDF(), eZDir\dirpath(), eZClusterFileHandler\instance(), eZTextCodec\instance(), eZTextCodec\internalCharset(), eZDir\mkdir(), eZMath\normalizeColorArray(), eZMath\rgbToCMYK2(), eZDebug\writeError(), and eZDebug\writeNotice().

## ◆ namedParameterList()

eZPDF::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 45 of file ezpdf.php.

## ◆ operatorList()

eZPDF::operatorList | ( |  | ) |

Returns the template operators.

Definition at line 37 of file ezpdf.php.

References $Operators.

## Member Data Documentation

## ◆ $Config

eZPDF::$Config

Definition at line 1077 of file ezpdf.php.

## ◆ $Operators

eZPDF::$Operators

The array of operators, used for registering operators.

Definition at line 1075 of file ezpdf.php.

Referenced by operatorList().

## ◆ $PDF

eZPDF::$PDF

Definition at line 1076 of file ezpdf.php.

The documentation for this class was generated from the following file:

- ezpdf.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.